﻿using EntityFrameworkCore.Triggered;
using IRaCIS.Core.Domain.Share;
using IRaCIS.Core.Infrastructure;

namespace IRaCIS.Core.Application.Triggers
{
    /// <summary>
    ///  处理  访视   末次评估  会影响Subject 状态
    /// </summary>
    public class TrialVisitPlanConfirmTrigger : IAfterSaveTrigger<Trial>
    {
        private readonly IRepository<SubjectVisit> _subjectVisitRepository;
        private readonly IRepository<Subject> _subjectRepository;

        public TrialVisitPlanConfirmTrigger(IRepository<SubjectVisit> subjectVisitRepository, IRepository<Subject> subjectRepository)
        {
            _subjectVisitRepository = subjectVisitRepository;
            _subjectRepository = subjectRepository;
        }

        public async Task AfterSave(ITriggerContext<Trial> context, CancellationToken cancellationToken)
        {

            var trial = context.Entity;


            if (context.ChangeType == ChangeType.Modified)
            {

          

            }



        }


    }
}